﻿<%@ Page Language="C#"  AutoEventWireup="true" CodeFile="ProductList.aspx.cs" Inherits="ProductList" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
  <title>Product List</title>
  <link href="stylesheets/StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
  <form id="form1" runat="server">

  <div id="content">
    <asp:DataList ID="dlProducts" runat="server"     
      DataKeyField="ID" 
      DataSourceID="odsProduct"
      RepeatColumns="3" 
      RepeatDirection="Horizontal" 
      EnableViewState="false"
      CssClass="DataWebControlStyle">
      <HeaderStyle CssClass="HeaderStyle" />
      <FooterStyle CssClass="FooterStyle" />
      <AlternatingItemStyle CssClass="AlternatingRowStyle" />
      <ItemStyle CssClass="RowStyle" />    
      <ItemTemplate>
        <table style="width:100%" cellpadding="4">
          <tr>
            <td style="width:auto;" valign="top">
              <asp:HyperLink ID="hlnkCover" runat="server"
                NavigateUrl='<%# String.Format("ProductDetail.aspx?id={0}", Eval("ID")) %>' 
                ImageUrl='<%# Eval("ImageMedium") %>'
                ToolTip="詳細を見る..." />          
            </td>
            <td style="width:auto; height:auto;" valign="top">
              <h3>
                <asp:HyperLink ID="hlnkTitle" runat="server"
                  NavigateUrl='<%# String.Format("ProductDetail.aspx?id={0}", Eval("ID")) %>'             
                  ToolTip="詳細を見る..." >          
                  <asp:Literal ID="litTitle" runat="server" Text='<%# Eval("Title") %>'/>
                </asp:HyperLink>  
              </h3>
              <br />
              価格：
              <asp:Label ID="lblPrice" runat="server" Text='<%# String.Format("{0:n0}円",  Eval("Price")) %>' />
              <br />
              <br />           
            </td>
          </tr>
        </table>
      </ItemTemplate>
    </asp:DataList>
  </div>
  
  <asp:ObjectDataSource ID="odsProduct" runat="server" 
    TypeName="ProductManager"
    SelectMethod="GetProductList">
  </asp:ObjectDataSource>  
  
  </form>
</body>
</html>
