﻿Imports Microsoft.VisualBasic

Public Class OrderedProduct

  Private _guid As Guid = Guid.NewGuid
  Private _product As Product
  Private _quantity As Integer

  Public Sub New()
    _product = New Product
  End Sub

 
  Public Sub New(ByVal Product As Product, ByVal Quantity As Integer)
    _product = Product
    _quantity = Quantity
  End Sub


  Public Property ID() As Guid
    Get
      Return _guid
    End Get
    Set(ByVal value As Guid)
      _guid = value
    End Set
  End Property


  Public ReadOnly Property ProductID() As Integer
    Get
      Return _product.ID
    End Get
  End Property


  Public ReadOnly Property Description() As String
    Get
      Return _product.Description
    End Get
  End Property


  Public Property Title() As String
    Get
      Return _product.Title
    End Get
    Set(ByVal value As String)
      _product.Title = value
    End Set
  End Property


  Public Property PictureUrlSmall() As String
    Get
      Return _product.ImageSmall
    End Get
    Set(ByVal value As String)
    End Set
  End Property


  Public Property Price() As Decimal
    Get
      Return _product.Price
    End Get
    Set(ByVal value As Decimal)
    End Set
  End Property


  Public Property Quantity() As Integer
    Get
      Return _quantity
    End Get
    Set(ByVal value As Integer)
      _quantity = value
    End Set
  End Property

  Public ReadOnly Property SubTotal() As Decimal
    Get
      Return _product.Price * _quantity
    End Get
  End Property

End Class