﻿Imports Microsoft.VisualBasic
Imports System.Collections.Generic
Imports System.Security.Permissions

Public Class ShopManager

  Private Const shoppintCart As String = "ShoppingCart"

  Private Sub New()
  End Sub

  Public Shared ReadOnly Property ShoppingCart() As ShoppingCart
    Get
      If HttpContext.Current.Session(shoppintCart) Is Nothing Then
        HttpContext.Current.Session(shoppintCart) = New ShoppingCart()
      End If
      Return CType(HttpContext.Current.Session(shoppintCart), ShoppingCart)
    End Get
  End Property

  Public Shared Function GetShoppingCartItems() As List(Of OrderedProduct)
    Return ShoppingCart.Items
  End Function

  Public Shared Sub AddProductToCart(ByVal clsProduct As Product)
    ShopManager.ShoppingCart.Add(clsProduct)
  End Sub

  Public Shared Sub UpdateProductInCart(ByVal newQuantity As Integer, ByVal ID As Guid)
    ShoppingCart.Update(newQuantity, ID)
  End Sub

  Public Shared Sub RemoveProductFromCart(ByVal ID As Guid)
    ShoppingCart.Remove(ID)
  End Sub

End Class