﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

public class OrderedProduct
{

  private Guid _guid = Guid.NewGuid();
  private Product _product;
  private int _quantity;

  public OrderedProduct()
  {
    _product = new Product();
  }


  public OrderedProduct(Product Product, int Quantity)
  {
    _product = Product;
    _quantity = Quantity;
  }


  public Guid ID
  {
    get { return _guid; }
    set { _guid = value; }
  }


  public int ProductID
  {
    get { return _product.ID; }
  }


  public string Description
  {
    get { return _product.Description; }
  }


  public string Title
  {
    get { return _product.Title; }
    set { _product.Title = value; }
  }


  public string PictureUrlSmall
  {
    get { return _product.ImageSmall; }
    set { }
  }


  public decimal Price
  {
    get { return _product.Price; }
    set { }
  }


  public int Quantity
  {
    get { return _quantity; }
    set { _quantity = value; }
  }

  public decimal SubTotal
  {
    get { return _product.Price * _quantity; }
  }

}