﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

public class ShopManager
{

  private const string shoppintCart = "ShoppingCart";

  private ShopManager()
  {
  }

  public static ShoppingCart ShoppingCart
  {
    get
    {
      if (HttpContext.Current.Session[shoppintCart] == null)
      {
        HttpContext.Current.Session[shoppintCart] = new ShoppingCart();
      }
      return (ShoppingCart)HttpContext.Current.Session[shoppintCart];
    }
  }

  public static List<OrderedProduct> GetShoppingCartItems()
  {
    return ShoppingCart.Items;
  }

  public static void AddProductToCart(Product clsProduct)
  {
    ShopManager.ShoppingCart.Add(clsProduct);
  }

  public static void UpdateProductInCart(int newQuantity, Guid ID)
  {
    ShoppingCart.Update(newQuantity, ID);
  }

  public static void RemoveProductFromCart(Guid ID)
  {
    ShoppingCart.Remove(ID);
  }

}
