﻿
Partial Class ShoppingCart
    Inherits System.Web.UI.Page

  Private priceTotal As Decimal = 0
  Private quantityTotal As Integer = 0

  Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

  End Sub

  Protected Sub gvCart_RowDataBound(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.GridViewRowEventArgs) Handles gvCart.RowDataBound

    Select Case e.Row.RowType
      Case DataControlRowType.DataRow
        priceTotal += Convert.ToDecimal(DataBinder.Eval(e.Row.DataItem, "SubTotal"))
        quantityTotal += Convert.ToInt32(DataBinder.Eval(e.Row.DataItem, "Quantity"))
      Case DataControlRowType.Footer
        e.Row.Cells(1).Text = "合計:"
        e.Row.Cells(2).Text = quantityTotal.ToString()
        e.Row.Cells(4).Text = String.Format("{0:n0}円", priceTotal)
        e.Row.Cells(2).HorizontalAlign = HorizontalAlign.Right
        e.Row.Cells(4).HorizontalAlign = HorizontalAlign.Right
    End Select

  End Sub

  Protected Sub odsCart_Updating(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.ObjectDataSourceMethodEventArgs) Handles odsCart.Updating
    e.InputParameters("ID") = New Guid(gvCart.DataKeys(gvCart.EditIndex).Value.ToString())
    e.InputParameters("newQuantity") = Convert.ToInt32(CType(gvCart.Rows(gvCart.EditIndex).FindControl("dropQuantity"), DropDownList).SelectedValue)
  End Sub

  Protected Sub btnContinue_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnContinue.Click
    Response.Redirect("ProductList.aspx")
  End Sub

  Protected Sub btnCheckout_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnCheckout.Click
    ' Response.Redirect("Checkout.aspx")
  End Sub

End Class
